## NAME

v.perturb - Random location perturbations of GRASS vector points

## KEYWORDS

vector

## SYNOPSIS

v.perturb
v.perturb help
v.perturb [-q] input=name output=name [distribution=string] parameters=float[,float,...] [minimum=float] [seed=integer] [--overwrite]

### Flags:

-q
  Quiet
--overwrite
  Force overwrite of output files

### Parameters:

input=name
  Vector points to be spatially perturbed
output=name
  Name for output vector map
distribution=string
  Distribution of perturbation
  Options: uniform,normal
  Default: uniform
parameters=float[,float,...]
  Parameter(s) of distribution. If the distribution is uniform, only one parameter, the maximum, is needed. For a normal distribution, two parameters, the mean and standard deviation, are required.
minimum=float
  Minimum deviation in map units
  Default: 0.0
seed=integer
  Seed for random number generation
  Default: 0

## DESCRIPTION

v.perturb reads a vector map of points and writes the same points but perturbs the eastings and northings by adding either a uniform or normal delta value. Perturbation means that a variating spatial deviation is added to the coordinates.

## NOTES

The uniform distribution is always centered about zero. The associated parameter is constrained to be positive and specifies the maximum of the distribution; the minimum is the negation of that parameter. Do perturb into a ring around the center, the minimum parameter can be used.

Usually, the mean (first parameter) of the normal distribution is zero (i.e., the distribution is centered at zero). The standard deviation (second parameter) is naturally constrained to be positive.

Output vector points are not guaranteed to be contained within the current geographic region.

## SEE ALSO

v.random
v.univar

## AUTHOR

James Darrell McCauley
when he was at: Agricultural Engineering Purdue University

Random number generators originally written in FORTRAN by Wes Peterson and translated to C using f2c.

Last changed: $Date: 2006/03/03 10:41:45 $

Main index - vector index - Full index